System.ComponentModel.DataAnnotations 4.0.0.0 System.Attribute System.AttributeUsage(System.AttributeTargets.Property | System.AttributeTargets.Field | System.AttributeTargets.All, AllowMultiple=false, Inherited=true) To be added.

Specifies that a property participates in optimistic concurrency checks.

- Constructor
  4.0.0.0

  You apply the attribute to a property in order to specify that the property indicates whether the data record in the application is still current with the data record in the data source.

  Initializes a new instance of the class.